// Utility Functions


// search array for string
function searchArray(needle,haystack) {
    for (x=0; x < haystack.length; x++) {
        if ( haystack[x].indexOf(needle) != -1) {
            return true;
        }
    }
    return false;
}


// trim whitespace from strings
function trim(string) {
   return string.replace(/^\s+/,'').replace(/\s+$/,'');
}


// strip removes chars illegal in regex pattern
function stripChars(string) {
    string = string.replace(/\\/g,"\\\\");
    string = string.replace(/\(/g,"\\(");
    string = string.replace(/\)/g,"\\)");
    string = string.replace(/\$/g,"\\$");
    string = string.replace(/\^/g,"\\^");
    string = string.replace(/\[/g,"\\[");
    string = string.replace(/\]/g,"\\]");
    string = string.replace(/\{/g,"\\{");
    string = string.replace(/\}/g,"\\}");
    string = string.replace(/\+/g,"\\+");
    string = string.replace(/\?/g,"\\?");
    string = string.replace(/\./g,"\\.");
    string = string.replace(/\|/g,"\\|");

    return string;
}




// truncates file names to less than 50 chars
function truncate(string) {
    if (string == null || string == "") {
        return "";
    }
    
   //string = new String(string);
   var size = string.length;
   if (size <= 50) {
       return string;
   }

   var strMiddle = "...";
   var strBegining = string.substr(0,24);
   var strEnd = string.substr(size-25,size);

   return strBegining + strMiddle + strEnd;
}


// return leaf or file name of path
function leaf(string) {
    if (string == null || string == "") {
        return "";
    }
    //string = new String(string);
    var size = string.length;
    var leaf = "";
     
    if (navigator.platform == "Win32") {
        leaf = string.replace(/.*\\/,"");
    } else {
        leaf = string.replace(/.*\//,"");
    }
    
    return leaf;  
}
