/* ***************
Desc: Installation script
Modified version of Chris Pederick installscript from WD.
Author: Mark Bokil (mbokil@bokil.com)
Version: 0.3
Last modified: September 28th, 2003
****************** */
const author              = "Mark Bokil";
const displayName         = "Mozedit";
const name                = "mozedit";
const version             = "0.1.1";
var contentFlag           = CONTENT | PROFILE_CHROME;
var localeFlag            = LOCALE | PROFILE_CHROME;
var error                 = null;
var folder                = getFolder("Profile", "chrome");
var skinFlag              = SKIN | PROFILE_CHROME;
var jarName               = name + ".jar";
var existsInApplication   = File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile       = File.exists(getFolder(folder, jarName));
const SUCCESS_MESSAGE     = "Please restart the application before using.";

initInstall(displayName, name, version);

// If the extension exists in the application folder or it doesn't exist in the profile folder and the user doesn't want it installed to the profile folder
if(existsInApplication || (!existsInProfile && !confirm("Do you want to install the extension into your profile folder?\n(Cancel will install into the application folder)")))
{
    contentFlag = CONTENT | DELAYED_CHROME;
    folder      = getFolder("chrome");
    skinFlag    = SKIN | DELAYED_CHROME;
    localeFlag    = LOCALE | DELAYED_CHROME;
}

setPackageFolder(folder);
error = addFile(author, version, jarName, folder, null);

// If adding the JAR file succeeded
if(error == SUCCESS)
{
    folder = getFolder(folder, jarName);

    registerChrome(contentFlag, folder, "content/");
    registerChrome(skinFlag, folder, "skin/");
    registerChrome(localeFlag, folder, "locale/en-US/");

    error = performInstall();

    // If the install failed
    if(error == SUCCESS || error == 999)
    {
    	alert(displayName+" "+version+" has been succesfully installed.\n" + SUCCESS_MESSAGE);
    }else{
	alert("Install failed. Error code:" + error);
	cancelInstall(error);
    }
}
else
{
	alert("The installation of the extension failed.\n" + error + "\n Failed to create " +jarName+ " \n"
	      +"Make sure you have the correct permissions");
	cancelInstall(error);
}
